package com.centreproject.system.mapper.kpi;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.centreproject.system.domain.kpi.guestExperience.KpiParkGuestExperience;

import java.util.List;

/**
 * @author zhonglei.xu
 */
@DS("master")
public interface KpiParkGuestExperienceMapper extends BaseMapper<KpiParkGuestExperience> {


    List<KpiParkGuestExperience> getHappinessMetersLast60Days(String parkCode);

    List<KpiParkGuestExperience> getQueueTimeLast60Days(String parkCode);

    List<KpiParkGuestExperience> getHappinessMetersDailyData();

    List<KpiParkGuestExperience> getQueueTimeDailyData();

    List<KpiParkGuestExperience> getPreHappinessMetersDailyData();
}
